/*
 * Fecha: 27-ene-04
 */
package es.ejie.frmk.negocio.operacioninterna;

/**
 * Clase con la configuracion de la operacion interna definida en el xml al efecto.
 * @version 1.0
 * Fecha: 27-ene-04
 */
public class Q70OperacionInternaConfigBean {
	
	private String oiId = null;
	private String oiClase = null;
	private String fiNombre = null;
	private String fiMetodo = null;
	private String fiMapaInvocacion = null;
	private String fiMapaRetorno = null;
	private String oiErrorKey = null;
	private String fiInitialContextFactory = null;
	private String fiProviderURL = null;
	private String oiExceptionType = null;
	private String oiTransaction = null;
	
	/**
	 * Retorna el tipo de excepción que propagará la operación interna.
	 * @return Simple - La excepción propagada será la causante del error. 
	 * 		Nested - La excepción propagada tendrá anidadas diversas excepciones
	 * tal y como las propague el contenedor de EJB: InvocationTargetException,
	 * RemoteException, EJBException.
	 */
	public String getOiExceptionType() {
		return oiExceptionType == null?Q70ConstantesOI.OI_DEFAULT_VALUE_EXCEPTION:oiExceptionType;
	}

	/**
	 * @param oiExceptionType
	 */
	protected void setOiExceptionType(String oiExceptionType) {
		this.oiExceptionType = oiExceptionType;
	}

	/**
	 * Retorna el estado de la transaccionalidad.
	 * @return Enabled/Disabled dependiendo de si está activada la
	 * transaccionalidad.
	 */
	public String getOiTransaction() {
		return oiTransaction == null?Q70ConstantesOI.OI_DEFAULT_VALUE_TRANSACTION:oiTransaction;
	}

	/**
	 * @param oiTransaction
	 */
	protected void setOiTransaction(String oiTransaction) {
		this.oiTransaction = oiTransaction;
	}

	/**
	 * Retorna el nombre del mapa de invocación.
	 * @return mapa de invacación.
	 */
	public String getFiMapaInvocacion() {
		return fiMapaInvocacion;
	}

	/**
	 * Retorna el nombre del mapa de retorno.
	 * @return mapa de retorno.
	 */
	public String getFiMapaRetorno() {
		return fiMapaRetorno;
	}

	/**
	 * Retorna el nombre del método de la función de integración a ejecutar.
	 * @return método de la función de integración a ejecutar.
	 */
	public String getFiMetodo() {
		return fiMetodo;
	}

	/**
	 * Retorna el nombre de la operación interna.
	 * @return Retorna el nombre de la operación interna.
	 */
	public String getFiNombre() {
		return fiNombre;
	}

	/**
	 * Retorna el nombre de la clase de la operación interna.
	 * @return Retorna el nombre de la clase de la operación interna.
	 */
	public String getOiClase() {
		return oiClase;
	}

	/**
	 * Retorna la key del mensaje de error por defecto para dicha operación interna.
	 * @return Key del mensaje de error por defecto.
	 */
	public String getOiErrorKey() {
		return oiErrorKey;
	}

	/**
	 * Retorna la InitialContextFactory necesaria para invocar a una función de
	 * integración remota.
	 * @return InitialContextFactory
	 */
	public String getFiInitialContextFactory() {
		return fiInitialContextFactory;
	}
	
	/**
	 * Retorna el ProviderURL necesario para invocar a una función de
	 * integración remota.
	 * @return ProviderURL
	 */
	public String getFiProviderURL() {
		return fiProviderURL;
	}
	
	/**
	 * Retorna el identificativo de la operacion interna que diferencia las mismas dentro de la factoria
	 * de operaciones internas disponibles para la aplicacion.
	 * @return Identificativo de la operacion interna
	 */
	public String getOiId() {
		return oiId;
	}

	/**
	 * @param string
	 */
	protected void setFiMapaInvocacion(String string) {
		fiMapaInvocacion = string;
	}

	/**
	 * @param string
	 */
	protected void setFiMapaRetorno(String string) {
		fiMapaRetorno = string;
	}

	/**
	 * @param string
	 */
	protected void setFiMetodo(String string) {
		fiMetodo = string;
	}

	/**
	 * @param string
	 */
	protected void setFiNombre(String string) {
		fiNombre = string;
	}

	/**
	 * @param string
	 */
	protected void setOiClase(String string) {
		oiClase = string;
	}

	/**
	 * @param string
	 */
	protected void setOiErrorKey(String string) {
		oiErrorKey = string;
	}

	/**
	 * @param string
	 */
	protected void setOiId(String string) {
		oiId = string;
	}
	
	/**
	 * @return
	 */
	protected void setFiInitialContextFactory(String string) {
		fiInitialContextFactory = string;
	}
	
	/**
	 * @return
	 */
	protected void setFiProviderURL(String string) {
		fiProviderURL = string;
	}
}
